Bug 51684 - Up2date does not work
Up2date does not work
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: uopvybqq
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-13 16:54 EDT by Need Real Name
Modified: 2015-01-07 18:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-15 00:55:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-13 16:54:16 EDT
up2date-2.5.4-1 on RedHat 7.0 failes because of unlnown reason (it worked
before)


up2date -u

Retrieving list of all available packages...

Removing installed packages from list of updates...
########################################

Removing packages marked to skip from list...
########################################

Getting headers for available packages...
########################################

Removing packages with files marked to skip from list...
########################################

Testing package set / solving RPM inter-dependencies...
Traceback (innermost last):
  File "/usr/sbin/up2date", line 831, in ?
    main()
  File "/usr/sbin/up2date", line 806, in main
    sys.exit(batchRun(onlyList, pkgNames, fullUpdate))
  File "/usr/sbin/up2date", line 534, in batchRun
    (depPackages, conflicts) = up2date.dryRun(selPkgList, printCallback,
percentCallback)
  File "/usr/share/rhn/up2date/up2date.py", line 2085, in dryRun
    ret = depsolve.solvedep()
  File "/usr/share/rhn/up2date/up2date.py", line 2051, in solvedep
    ret = self.process_deps(deps)
  File "/usr/share/rhn/up2date/up2date.py", line 2018, in process_deps
    changed = self.__dependencies(dependencies)
  File "/usr/share/rhn/up2date/up2date.py", line 1951, in __dependencies
    added = self.__add(solved, check = 1)
  File "/usr/share/rhn/up2date/up2date.py", line 1885, in __add
    h_list = getHeaders(plist, refreshCallback = self.refreshCallback)
  File "/usr/share/rhn/up2date/up2date.py", line 832, in getHeaders
    ret = s.up2date.header(getSystemId(), listToFetch)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 608, in
__call__
    return self.__send(self.__name, args)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 644, in
__request
    request = dumps(params, methodname)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 482, in dumps
    data = m.dumps(params)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 251, in dumps
    self.__dump(v)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 264, in __dump
    f(self, value)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 290, in
dump_array
    self.__dump(v)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 264, in __dump
    f(self, value)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 286, in
dump_array
    self.container(value)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 282, in
container
    raise TypeError, "cannot marshal recursive data structures"
TypeError: cannot marshal recursive data structures

up2date config is standard, except I added apache, mod_ssl and openssl
packages
to the list of ignored

up2date --configure
0.  storageDir         /var/spool/up2date                      
1.  headerCacheSize    40                                      
2.  httpProxy                                                  
3.  debug              No                             
4.  useGPG             Yes                                     
5.  retrieveOnly       No                                      
6.  enableProxy        No                                      
7.  keepAfterInstall   No                                      
8.  proxyPassword                                              
9.  proxyUser                                                  
10. headerFetchCount   10                                      
11. versionOverride                                            
12. enableProxyAuth    No                                      
13. noSSLServerURL     http://www.rhns.redhat.com/XMLRPC       
14. noReplaceConfig    Yes                                     
15. noBootLoader       No                                      
16. systemIdPath       /etc/sysconfig/rhn/systemid             
17. serverURL          https://www.rhns.redhat.com/XMLRPC      
18. pkgSkipList        ['kernel*', 'apache*', 'mod_ssl*', 'open
19. adminAddress       ['root@localhost']                      
20. forceInstall       No                                      
21. fileSkipList       []                                      
22. retrieveSource     No                                      


Enter number of item to edit <return to exit, q to quit without saving>: q
Comment 1 Jay Turner 2001-08-14 13:15:32 EDT
This problem has been fixed on the live site.  Please reopen if you continue to
have problems retrieving package updates from the site.
Comment 2 Need Real Name 2001-08-14 13:19:28 EDT
It seems still exists. Tried on Tue Aug 14 13:26:23 EDT 2001

up2date -u

Retrieving list of all available packages...

Removing installed packages from list of updates...
########################################

Removing packages marked to skip from list...
########################################

Getting headers for available packages...
########################################

Removing packages with files marked to skip from list...
########################################

Testing package set / solving RPM inter-dependencies...
Traceback (innermost last):
  File "/usr/sbin/up2date", line 831, in ?
    main()
  File "/usr/sbin/up2date", line 806, in main
    sys.exit(batchRun(onlyList, pkgNames, fullUpdate))
  File "/usr/sbin/up2date", line 534, in batchRun
    (depPackages, conflicts) = up2date.dryRun(selPkgList, printCallback,
percentCallback)
  File "/usr/share/rhn/up2date/up2date.py", line 2085, in dryRun
    ret = depsolve.solvedep()
  File "/usr/share/rhn/up2date/up2date.py", line 2051, in solvedep
    ret = self.process_deps(deps)
  File "/usr/share/rhn/up2date/up2date.py", line 2018, in process_deps
    changed = self.__dependencies(dependencies)
  File "/usr/share/rhn/up2date/up2date.py", line 1951, in __dependencies
    added = self.__add(solved, check = 1)
  File "/usr/share/rhn/up2date/up2date.py", line 1885, in __add
    h_list = getHeaders(plist, refreshCallback = self.refreshCallback)
  File "/usr/share/rhn/up2date/up2date.py", line 832, in getHeaders
    ret = s.up2date.header(getSystemId(), listToFetch)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 608, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 644, in __request
    request = dumps(params, methodname)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 482, in dumps
    data = m.dumps(params)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 251, in dumps
    self.__dump(v)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 264, in __dump
    f(self, value)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 290, in dump_array
    self.__dump(v)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 264, in __dump
    f(self, value)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 286, in dump_array
    self.container(value)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 282, in container
    raise TypeError, "cannot marshal recursive data structures"
TypeError: cannot marshal recursive data structures
Comment 3 Need Real Name 2001-08-15 00:55:01 EDT
It started working OK in the evening.
Comment 4 Jay Turner 2001-08-15 05:26:23 EDT
Closing out this bug then.

Note You need to log in before you can comment on or make changes to this bug.